Retrieve attachments with a single query when rendering a journal
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%

Category: Performance Estimated time: 0.00 hour

Target version: 5.1.0

Description

The attached patch fixes N+1 queries in Journal#attachments.

Before:

D, [2022-09-19T17:11:55.977897 #39418] DEBUG —-— Attachment Load (0.4ms) SELECT "attachments".
* FROM "attachments" WHERE "attachments"."id" = ? LIMIT °? rgrid", 2431, ["LIMIT", 1]]

D, [2022-09-19T17:11:55.978340 #39418] DEBUG -- L app/models/journal.rb:145:in “block in attac
hments'

D, [2022-09-19T17:11:55.978659 #39418] DEBUG —— Attachment Load (0.1lms) SELECT "attachments".
* FROM "attachments" WHERE "attachments"."id" = ? LIMIT ? [g"id", 2531, ["LIMIT", 111

D, [2022-09-19T17:11:55.979025 #39418] DEBUG -- > app/models/journal.rb:145:in “block in attac
hments'

D, [2022-09-19T17:11:55.979276 #39418] DEBUG —-— Attachment Load (0.1lms) SELECT "attachments".
* FROM "attachments" WHERE "attachments"."id" = ? LIMIT °? rgrid", 26], ["LIMIT", 1]]

D, [2022-09-19T17:11:55.979616 #39418] DEBUG --— L app/models/journal.rb:145:in “block in attac
hments'

After:

D, [2022-09-19T17:35:55.808467 #41181] DEBUG —-— Attachment Load (0.2ms) SELECT "attachments".
* FROM "attachments" WHERE "attachments"."id" IN (?, 2, ?) [g"ida", 2431, ["id", 251, ["id", 26]]
D, [2022-09-19T17:35:55.809074 #41181] DEBUG -- L app/models/journal.rb:146:in "attachments'

Associated revisions

Revision 21831 - 2022-09-23 06:46 - Go MAEDA

Retrieve attachments with a single query when rendering a journal (#37687).

Patch by Go MAEDA.

Revision 21832 - 2022-09-23 06:47 - Go MAEDA
Unify duplicate codes (#37687).

Patch by Go MAEDA.

History

#1 - 2022-09-19 11:46 - Go MAEDA
- File 0001-Get-attachments-with-single-query-when-rendering-a-j.patch added
- File 0002-Unify-duplicate-codes.patch added

Updated the patch.

#2 - 2022-09-21 08:59 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.
#3 - 2022-09-23 06:48 - Go MAEDA

- Subject changed from Get attachments with single query when rendering a journal to Retrieve attachments with single query when rendering a
journal

- Status changed from New to Closed

- Assignee set to Go MAEDA
Committed the patch.
#4 - 2022-09-23 06:48 - Go MAEDA

- Subject changed from Retrieve attachments with single query when rendering a journal to Retrieve attachments with a single query when rendering a
journal

Files

reduce-extra-queries-in-journal-attachments.patch 508 Bytes 2022-09-19 Go MAEDA
0001-Get-attachments-with-single-query-when-rendering-a-j.patch 840 Bytes 2022-09-19 Go MAEDA
0002-Unify-duplicate-codes.patch 1.44 KB 2022-09-19 Go MAEDA
